# Unir nodos al cluster

```bash
# En el nodo master: crea un token de unión
microk8s add-node

# Esto mostrará una salida parecida a:
# From the node you wish to join to this cluster, run the following:
# microk8s join 10.193.246.117:25000/da161908973ee3cfa5391df5fee8dcfa/a336d9e7b90a
#
# Use the '--worker' flag to join a node as a worker not running the control plane, eg:
# microk8s join 10.193.246.117:25000/da161908973ee3cfa5391df5fee8dcfa/a336d9e7b90a --worker

# En el nodo worker: únete al cluster usando el comando adecuado
microk8s join 10.193.246.117:25000/da161908973ee3cfa5391df5fee8dcfa/a336d9e7b90a --worker

# NOTA: Asegúrate de que el nodo master tenga abierto el puerto 25000 (TCP).

# Verifica el estado desde el master
microk8s kubectl get nodes
```

[Volver al Índice](../../Readme.md)
