# Configuración de roles en los nodos

```bash
# Etiqueta el nodo master con el rol master
kubectl label node master node-role.kubernetes.io/master=""

# Etiqueta el nodo worker con el rol worker
kubectl label node worker node-role.kubernetes.io/worker=""

# NOTA: Sustituye master y worker por los nombres reales que te dé kubectl get nodes

# Para que el master no ejecute workloads, aplica el taint:
kubectl taint nodes master node-role.kubernetes.io/master=:NoSchedule
```

[Volver al Índice](../../Readme.md)
